import time
from .data import Message
from . import gui
from .data import log


def read_log(logfile: str, app: gui.Gui) -> None:
    logfile = open(logfile, 'r', encoding='utf8')
    loglines = follow(logfile)
    for line in loglines:
        message = Message.from_text(line)
        log.debug(message)
        if message and message.trade and message.to_from == 'From':
            log.debug(message.trade)
            app.add_tab(30, message)


def follow(thefile: str):
    thefile.seek(0, 2)
    while True:
        line = thefile.readline()
        if not line:
            time.sleep(0.1)
            continue
        yield line
